imagepolygon
imagepsencodefont
GD Functions
PHP Manual

# imagepsbbox

(PHP 4, PHP 5)

imagepsbbox — Give the bounding box of a text rectangle using PostScript Type1 fonts

### Description

array imagepsbbox ( string `$text` , int `$font` , int `$size` )
array imagepsbbox ( string `$text` , int `$font` , int `$size` , int `$space` , int `$tightness` , float `$angle` )

Gives the bounding box of a text rectangle using PostScript Type1 fonts.

The bounding box is calculated using information available from character metrics, and unfortunately tends to differ slightly from the results achieved by actually rasterizing the text. If the angle is 0 degrees, you can expect the text to need 1 pixel more to every direction.

### Parameters

`text`

  The text to be written.

`font`

  Can be 1, 2, 3, 4, 5 for built-in fonts in latin2 encoding (where higher numbers corresponding to larger fonts) or any of your own font identifiers registered with imageloadfont().

`size`

  `size` is expressed in pixels.

`space`

  Allows you to change the default value of a space in a font. This amount is added to the normal value and can also be negative. Expressed in character space units, where 1 unit is 1/1000th of an em-square.

`tightness`

  `tightness` allows you to control the amount of white space between characters. This amount is added to the normal character width and can also be negative. Expressed in character space units, where 1 unit is 1/1000th of an em-square.

`angle`

  `angle` is in degrees.

### Return Values

Returns an array containing the following elements:

0 | left x-coordinate
1 | upper y-coordinate
2 | right x-coordinate
3 | lower y-coordinate

### Notes

> Note: This function is only available if PHP is compiled using --with-t1lib[=DIR].

### See Also

- imagepstext()

imagepolygon
imagepsencodefont
GD Functions
PHP Manual